Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.content
Class CommunityContent

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.content.CommunityContent

All Implemented Interfaces
  ContentBase, Serializable

Direct Known Subclasses:
  Announcement, FeedEntry, Folder, GsDoc, Issue, Link, RichText, SavedSearchBean

    public class CommunityContent

extends ContentBaseImpl

See Also
  Serialized Form

Nested Class Summary
`static class` | `CommunityContent.NodeType`
`static class` | `CommunityContent.Visibility`

Field Summary
`static String` | `CC_DESCRIPTION`
`static String` | `CC_OWNER`
`static String` | `CC_RELATED_NODES`
`static String` | `CC_TITLE`
`static String` | `CC_VISIBILITY`
`Set<Value>` | `hiddenRelatedContent`
`boolean` | `hiddenRelatedContentIsSet`
`ID[]` | `relatedContent`
`boolean` | `relatedContentIsSet`
`static String` | `TYPE_NAME`
`static CommunityContent.Visibility` | `visibility`

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`CommunityContent()`
`CommunityContent(Node node)`
`CommunityContent(String typeName)`

Method Summary
`static CommunityContent.Visibility` | `convertVisibilityString(String v)`
`String` | `getDescription()`
`String` | `getDisplayName()` Returns a display name for the Node; primary property if one exists, name if not.
`com.bea.apps.groupspace.icons.Icon` | `getIcon()`
`com.bea.apps.groupspace.icons.Icon` | `getIcon(com.bea.apps.groupspace.icons.Icon.Size size)`
`String` | `getOwner()`
`String` | `getTitle()`
`CommunityContent.Visibility` | `getVisibility()`
`String` | `getVisibilityString()`
`boolean` | `isPrivate()`
`void` | `setDescription(String description)`
`void` | `setOwner(String owner)`
`void` | `setRelatedContent(ID[] relatedNodes)` Sets related(Linked) content node ids
`void` | `setTitle(String title)`
`void` | `setVisibility(CommunityContent.Visibility v)`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CC_TITLE

    public static final String CC_TITLE

See Also
  Constants Summary

### CC_DESCRIPTION

    public static final String CC_DESCRIPTION

See Also
  Constants Summary

### CC_VISIBILITY

    public static final String CC_VISIBILITY

See Also
  Constants Summary

### CC_OWNER

    public static final String CC_OWNER

See Also
  Constants Summary

### CC_RELATED_NODES

    public static final String CC_RELATED_NODES

See Also
  Constants Summary

### TYPE_NAME

    public static final String TYPE_NAME

See Also
  Constants Summary

### hiddenRelatedContent

    public Set<Value> hiddenRelatedContent

### hiddenRelatedContentIsSet

    public boolean hiddenRelatedContentIsSet

### relatedContent

    public ID[] relatedContent

### relatedContentIsSet

    public boolean relatedContentIsSet

### visibility

    public static CommunityContent.Visibility visibility

Constructor Detail

### CommunityContent

    public CommunityContent()

### CommunityContent

    public CommunityContent(String typeName)

### CommunityContent

    public CommunityContent(Node node)

Method Detail

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon()

  Specified by:
    `getIcon` in interface `ContentBase`
  Overrides:
    `getIcon` in class `ContentBaseImpl`

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon(com.bea.apps.groupspace.icons.Icon.Size size)

### getDisplayName

    public String getDisplayName()

  Description copied from interface: `ContentBase`
  Returns a display name for the Node; primary property if one exists, name if not. Intended to be overridden to return something specific for a specialized content type. For example, `TITLE` in all `COMMUNITY_CONTENT`

  Specified by:
    `getDisplayName` in interface `ContentBase`
  Overrides:
    `getDisplayName` in class `ContentBaseImpl`
  Returns
    - string to use for display name

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getVisibility

    public CommunityContent.Visibility getVisibility()

### getVisibilityString

    public String getVisibilityString()

### setVisibility

    public void setVisibility(CommunityContent.Visibility v)

### isPrivate

    public boolean isPrivate()

### getOwner

    public String getOwner()

### setOwner

    public void setOwner(String owner)

### setRelatedContent

    public void setRelatedContent(ID[] relatedNodes)

  Sets related(Linked) content node ids

  Parameters
    `relatedNodes` -

### convertVisibilityString

    public static CommunityContent.Visibility convertVisibilityString(String v)

  Parameters
    `v` -
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved